#-------------------------------------------------------------------------------
# File: ws_g4s_fel.inc
# GENERATED BY fglwsdl 1536676400
#-------------------------------------------------------------------------------
# THIS FILE WAS GENERATED. DO NOT MODIFY.
#-------------------------------------------------------------------------------


IMPORT FGL WSHelper
IMPORT com
IMPORT xml
IMPORT security
IMPORT os

GLOBALS

#
# Global WebService error structure
# Check the contents of this structure for a detailed error description
# when a WebService function returns with a non-zero status.
#

DEFINE wsError RECORD
	code		STRING,
	codeNS		STRING,
	description	STRING,
	action		STRING
END RECORD




#
#-------------------------------------------------------------------------------
# XML Type definitions 
#-------------------------------------------------------------------------------
#

#
# Global Endpoint user-defined type definition
#
TYPE tGlobalEndpointType RECORD	 # End point
	Address	RECORD	# Address
		Uri	STRING	# URI 
	END RECORD,
	Binding	RECORD	# Binding
		Version	STRING,	# HTTP Version (1.0 or 1.1)
		Cookie	STRING,	# Cookie to be set
		Request RECORD	 # HTTP request
			Headers DYNAMIC ARRAY OF RECORD	# HTTP Headers
				Name	STRING,
				Value	STRING
			END RECORD
		END RECORD,
		Response RECORD	 # HTTP response
			Headers DYNAMIC ARRAY OF RECORD	# HTTP Headers
				Name	STRING,
				Value	STRING
			END RECORD
		END RECORD,
		ConnectionTimeout	INTEGER,# Connection timeout
		ReadWriteTimeout	INTEGER,# Read write timeout
		CompressRequest		STRING	# HTTP request compression mode (gzip or deflate)
	END RECORD
END RECORD



#
# TYPE : tns1Transactions
#
TYPE tns1Transactions STRING ATTRIBUTE(XSDEnumeration="BASE|NO_TRANSACTION|CONVERT_NATIVE_XML|GET_MTE_BATCH|PROCESS_BATCH|SYSTEM_REQUEST|RECEIVE_BATCH|ENROLL_CERT|GET_XML|GET_HTML|GET_XML_AND_HTML|CANCEL_XML|MARK_XML_AS_PAID|MARK_XML_AS_UNPAID|SEARCH_BASIC|GET_MONTHLY_REPORT|GET_MONTHLY_REPORT_FOR_PROVIDER|GET_FOLIOS_BY_RFC|DOES_ASSIGNMENT_EXIST|CANCEL_XML_BY_INTERNAL_ID|ACTIVATE_ASSIGNMENT|COUNT_ACTIVE_ASSIGNMENTS|GET_DOCUMENT|AUTHENTICATE_USER|GET_ACCOUNT|DISTRIBUTE|QUEUE_FOR_DISTRIBUTION|GET_EFFECTIVE_RIGHTS|EXEC_STORED_PROC|GET_USER_INFO|RECEIVE|GET_PREVIEW|RETRIEVE_DOCUMENT|MARK_DOCUMENT_AS_PAID|MARK_DOCUMENT_AS_NOT_PAID|CANCEL_DOCUMENT|MARK_DOCUMENT_AS_DELETED|MARK_DOCUMENT_AS_NOT_DELETED|GET_ADDENDA_RECEIVERS|REQUEST_PASSWORD_CHANGE|CHANGE_DOCUMENT_SUCURSAL|CREATE_ACCOUNT_AS_OWNER|CREATE_PASSWORD|PASSWORD_FORGOT|CREATE_USER|INCREMENT_BUNDLE_SIZE|TIMBRAR|LOOKUP_ISSUED_INTERNAL_ID|VALIDATE_CERT|BATCH_SERIAL_OPERATIONS|PROCESS_LCO|ENROLL_THIRD_PARTY_CERT|CANCEL_CFDI|UPDATE_ACCOUNT_DATA|ASSIGN_ACCOUNT_REQUESTOR|UPDATE_USER_DATA|UPDATE_ADMIN_USER_DATA|CREATE_ADMIN_USER|UPSERT_GRAPHIC_REPRESENTATION|LOOKUP_ISSUED_BATCH_AND_SERIAL|CREATE_TIMBRAR_ACCOUNT|CREATE_TIMBRAR_ISSUER_ACCOUNT|LOOKUP_GUATEMALIAN_ISSUED|CLOSE_MONTH|SYSTEM_REQUEST1|GET_ACUSE|GRAPH_REQUEST|CANCEL_SINGLE_CFDI|CONFIG_REFRESH",XSTypeName="Transactions",XSTypeNamespace="http://www.fact.com.mx/schema/ws")
#-------------------------------------------------------------------------------

#
# TYPE : tns2guid
#
TYPE tns2guid STRING ATTRIBUTE(XSDPattern="[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}",XSTypeName="guid",XSTypeNamespace="http://microsoft.com/wsdl/types/")
#-------------------------------------------------------------------------------

#
# TYPE : tns1FactRequest
#
TYPE tns1FactRequest RECORD ATTRIBUTE(XMLSequence,XSTypeName="FactRequest",XSTypeNamespace="http://www.fact.com.mx/schema/ws")
  Transaction tns1Transactions ATTRIBUTE(XMLName="Transaction"),
  Requestor tns2guid ATTRIBUTE(XMLName="Requestor"),
  RequestorName STRING ATTRIBUTE(XMLName="RequestorName",XMLOptional),
  RequestorActive BOOLEAN ATTRIBUTE(XMLName="RequestorActive"),
  Country STRING ATTRIBUTE(XMLName="Country",XMLOptional),
  Entity STRING ATTRIBUTE(XMLName="Entity",XMLOptional),
  User tns2guid ATTRIBUTE(XMLName="User"),
  UserName STRING ATTRIBUTE(XMLName="UserName",XMLOptional),
  Id tns2guid ATTRIBUTE(XMLName="Id"),
  TimeStamp DATETIME YEAR TO FRACTION(5) ATTRIBUTE(XMLName="TimeStamp")
END RECORD
#-------------------------------------------------------------------------------

#
# TYPE : tns1DocID
#
TYPE tns1DocID RECORD ATTRIBUTE(XMLSequence,XSTypeName="DocID",XSTypeNamespace="http://www.fact.com.mx/schema/ws")
  Country STRING ATTRIBUTE(XMLName="Country",XMLOptional),
  Entity STRING ATTRIBUTE(XMLName="Entity",XMLOptional),
  FiscalName STRING ATTRIBUTE(XMLName="FiscalName",XMLOptional),
  AYear STRING ATTRIBUTE(XMLName="AYear",XMLOptional),
  ANumber STRING ATTRIBUTE(XMLName="ANumber",XMLOptional),
  Batch STRING ATTRIBUTE(XMLName="Batch",XMLOptional),
  Serial STRING ATTRIBUTE(XMLName="Serial",XMLOptional),
  DocumentGUID STRING ATTRIBUTE(XMLName="DocumentGUID",XMLOptional),
  IssuedTimeStamp STRING ATTRIBUTE(XMLName="IssuedTimeStamp",XMLOptional),
  EnrolledTimeStamp STRING ATTRIBUTE(XMLName="EnrolledTimeStamp",XMLOptional),
  PaidTimeStamp STRING ATTRIBUTE(XMLName="PaidTimeStamp",XMLOptional),
  CancelledTimeStamp STRING ATTRIBUTE(XMLName="CancelledTimeStamp",XMLOptional),
  InternalID STRING ATTRIBUTE(XMLName="InternalID",XMLOptional),
  BatchID STRING ATTRIBUTE(XMLName="BatchID",XMLOptional),
  BatchTimeStamp STRING ATTRIBUTE(XMLName="BatchTimeStamp",XMLOptional),
  BatchRequestorCountry STRING ATTRIBUTE(XMLName="BatchRequestorCountry",XMLOptional),
  BatchRequestorEntity STRING ATTRIBUTE(XMLName="BatchRequestorEntity",XMLOptional),
  BatchPosition STRING ATTRIBUTE(XMLName="BatchPosition",XMLOptional),
  ReceiverCountry STRING ATTRIBUTE(XMLName="ReceiverCountry",XMLOptional),
  ReceiverEntity STRING ATTRIBUTE(XMLName="ReceiverEntity",XMLOptional),
  ReceiverTaxID STRING ATTRIBUTE(XMLName="ReceiverTaxID",XMLOptional),
  ReceiverName STRING ATTRIBUTE(XMLName="ReceiverName",XMLOptional),
  ClaveAgente STRING ATTRIBUTE(XMLName="ClaveAgente",XMLOptional),
  NumeroDePoliza STRING ATTRIBUTE(XMLName="NumeroDePoliza",XMLOptional),
  Currency STRING ATTRIBUTE(XMLName="Currency",XMLOptional),
  TotalAmount STRING ATTRIBUTE(XMLName="TotalAmount",XMLOptional),
  Type1 STRING ATTRIBUTE(XMLName="Type1",XMLOptional),
  Type2 STRING ATTRIBUTE(XMLName="Type2",XMLOptional),
  SuggestedFileName STRING ATTRIBUTE(XMLName="SuggestedFileName",XMLOptional),
  SuggestedFileName2 STRING ATTRIBUTE(XMLName="SuggestedFileName2",XMLOptional)
END RECORD
#-------------------------------------------------------------------------------

#
# TYPE : tns1BatchID
#
TYPE tns1BatchID RECORD ATTRIBUTE(XMLSequence,XSTypeName="BatchID",XSTypeNamespace="http://www.fact.com.mx/schema/ws")
  BatchId STRING ATTRIBUTE(XMLName="BatchId",XMLOptional),
  BatchTimeStamp STRING ATTRIBUTE(XMLName="BatchTimeStamp",XMLOptional),
  BatchRequestorCountry STRING ATTRIBUTE(XMLName="BatchRequestorCountry",XMLOptional),
  BatchRequestorEntity STRING ATTRIBUTE(XMLName="BatchRequestorEntity",XMLOptional),
  BatchPosition STRING ATTRIBUTE(XMLName="BatchPosition",XMLOptional)
END RECORD
#-------------------------------------------------------------------------------

#
# TYPE : tns1FactResponse
#
TYPE tns1FactResponse RECORD ATTRIBUTE(XMLSequence,XSTypeName="FactResponse",XSTypeNamespace="http://www.fact.com.mx/schema/ws")
  Identifier tns1DocID ATTRIBUTE(XMLName="Identifier",XMLOptional),
  BatchIdentifier tns1BatchID ATTRIBUTE(XMLName="BatchIdentifier",XMLOptional),
  Result BOOLEAN ATTRIBUTE(XMLName="Result"),
  TimeStamp DATETIME YEAR TO FRACTION(5) ATTRIBUTE(XMLName="TimeStamp"),
  LastResult STRING ATTRIBUTE(XMLName="LastResult",XMLOptional),
  Code INTEGER ATTRIBUTE(XMLName="Code"),
  Description STRING ATTRIBUTE(XMLName="Description",XMLOptional),
  Hint STRING ATTRIBUTE(XMLName="Hint",XMLOptional),
  Data STRING ATTRIBUTE(XMLName="Data",XMLOptional),
  Processor STRING ATTRIBUTE(XMLName="Processor",XMLOptional)
END RECORD
#-------------------------------------------------------------------------------

#
# TYPE : tns1FactResponseData
#
TYPE tns1FactResponseData RECORD ATTRIBUTE(XMLSequence,XSTypeName="FactResponseData",XSTypeNamespace="http://www.fact.com.mx/schema/ws")
  ResponseData1 STRING ATTRIBUTE(XMLName="ResponseData1",XMLOptional),
  ResponseData2 STRING ATTRIBUTE(XMLName="ResponseData2",XMLOptional),
  ResponseData3 STRING ATTRIBUTE(XMLName="ResponseData3",XMLOptional),
  ResponseDataSet RECORD ATTRIBUTE(XMLSequence,XMLName="ResponseDataSet",XMLOptional)
    schema xml.DomDocument ATTRIBUTE(XSDanyType,XMLName="schema",XMLNamespace="http://www.w3.org/2001/XMLSchema"),
    _ANY_1 xml.DomDocument ATTRIBUTE(XMLNamespace="##any",XMLAny) { NOTE : Any XML tree }
  END RECORD
END RECORD
#-------------------------------------------------------------------------------

#
# TYPE : tns1TransactionTag
#
TYPE tns1TransactionTag RECORD ATTRIBUTE(XMLSequence,XSTypeName="TransactionTag",XSTypeNamespace="http://www.fact.com.mx/schema/ws")
  Request tns1FactRequest ATTRIBUTE(XMLName="Request",XMLOptional),
  Response tns1FactResponse ATTRIBUTE(XMLName="Response",XMLOptional),
  ResponseData tns1FactResponseData ATTRIBUTE(XMLName="ResponseData",XMLOptional)
END RECORD
#-------------------------------------------------------------------------------



#-------------------------------------------------------------------------------
# Service: FactWSFront
# Port:    FactWSFrontSoap12
# Server:  http://test.documenta.com.gt/webservicefront/factwsfront.asmx
#-------------------------------------------------------------------------------
#
# Location of the SOAP endpoint.
# You can reassign this value at run-time.
#
DEFINE FactWSFront_FactWSFrontSoap12Endpoint tGlobalEndpointType

#-------------------------------------------------------------------------------
#
# Operation: RequestTransaction
#
# FUNCTION: RequestTransaction_g()
#   RETURNING: soapStatus
#   INPUT: GLOBAL ns1RequestTransaction
#   OUTPUT: GLOBAL ns1RequestTransactionResponse
#
# FUNCTION: RequestTransactionRequest_g()
#   RETURNING: soapStatus
#   INPUT: GLOBAL ns1RequestTransaction
#
# FUNCTION: RequestTransactionResponse_g()
#   RETURNING: soapStatus
#   OUTPUT: GLOBAL ns1RequestTransactionResponse
#

#-------------------------------------------------------------------------------

# VARIABLE : ns1RequestTransaction
DEFINE ns1RequestTransaction RECORD ATTRIBUTE(XMLSequence,XMLName="RequestTransaction",XMLNamespace="http://www.fact.com.mx/schema/ws")
         Requestor STRING ATTRIBUTE(XMLName="Requestor",XMLOptional),
         Transaction STRING ATTRIBUTE(XMLName="Transaction",XMLOptional),
         Country STRING ATTRIBUTE(XMLName="Country",XMLOptional),
         Entity STRING ATTRIBUTE(XMLName="Entity",XMLOptional),
         User STRING ATTRIBUTE(XMLName="User",XMLOptional),
         UserName STRING ATTRIBUTE(XMLName="UserName",XMLOptional),
         Data1 STRING ATTRIBUTE(XMLName="Data1",XMLOptional),
         Data2 STRING ATTRIBUTE(XMLName="Data2",XMLOptional),
         Data3 STRING ATTRIBUTE(XMLName="Data3",XMLOptional)
       END RECORD


#-------------------------------------------------------------------------------

# VARIABLE : ns1RequestTransactionResponse
DEFINE ns1RequestTransactionResponse RECORD ATTRIBUTE(XMLSequence,XMLName="RequestTransactionResponse",XMLNamespace="http://www.fact.com.mx/schema/ws")
         RequestTransactionResult tns1TransactionTag ATTRIBUTE(XMLName="RequestTransactionResult",XMLOptional)
       END RECORD

#-------------------------------------------------------------------------------
#
# Operation: SSLTransaction
#
# FUNCTION: SSLTransaction_g()
#   RETURNING: soapStatus
#   INPUT: GLOBAL ns1SSLTransaction
#   OUTPUT: GLOBAL ns1SSLTransactionResponse
#
# FUNCTION: SSLTransaction(p_Entity, p_DataExchange)
#   RETURNING: soapStatus ,p_SSLTransactionResult
#
# FUNCTION: SSLTransactionRequest_g()
#   RETURNING: soapStatus
#   INPUT: GLOBAL ns1SSLTransaction
#
# FUNCTION: SSLTransactionResponse_g()
#   RETURNING: soapStatus
#   OUTPUT: GLOBAL ns1SSLTransactionResponse
#

#-------------------------------------------------------------------------------

# VARIABLE : ns1SSLTransaction
DEFINE ns1SSLTransaction RECORD ATTRIBUTE(XMLSequence,XMLName="SSLTransaction",XMLNamespace="http://www.fact.com.mx/schema/ws")
         Entity STRING ATTRIBUTE(XMLName="Entity",XMLOptional),
         DataExchange STRING ATTRIBUTE(XMLName="DataExchange",XMLOptional)
       END RECORD


#-------------------------------------------------------------------------------

# VARIABLE : ns1SSLTransactionResponse
DEFINE ns1SSLTransactionResponse RECORD ATTRIBUTE(XMLSequence,XMLName="SSLTransactionResponse",XMLNamespace="http://www.fact.com.mx/schema/ws")
         SSLTransactionResult STRING ATTRIBUTE(XMLName="SSLTransactionResult",XMLOptional)
       END RECORD

#-------------------------------------------------------------------------------
#
# Operation: SecureTransaction
#
# FUNCTION: SecureTransaction_g()
#   RETURNING: soapStatus
#   INPUT: GLOBAL ns1SecureTransaction
#   OUTPUT: GLOBAL ns1SecureTransactionResponse
#
# FUNCTION: SecureTransaction(p_Entity, p_DataExchange)
#   RETURNING: soapStatus ,p_SecureTransactionResult
#
# FUNCTION: SecureTransactionRequest_g()
#   RETURNING: soapStatus
#   INPUT: GLOBAL ns1SecureTransaction
#
# FUNCTION: SecureTransactionResponse_g()
#   RETURNING: soapStatus
#   OUTPUT: GLOBAL ns1SecureTransactionResponse
#

#-------------------------------------------------------------------------------

# VARIABLE : ns1SecureTransaction
DEFINE ns1SecureTransaction RECORD ATTRIBUTE(XMLSequence,XMLName="SecureTransaction",XMLNamespace="http://www.fact.com.mx/schema/ws")
         Entity STRING ATTRIBUTE(XMLName="Entity",XMLOptional),
         DataExchange STRING ATTRIBUTE(XMLName="DataExchange",XMLOptional)
       END RECORD


#-------------------------------------------------------------------------------

# VARIABLE : ns1SecureTransactionResponse
DEFINE ns1SecureTransactionResponse RECORD ATTRIBUTE(XMLSequence,XMLName="SecureTransactionResponse",XMLNamespace="http://www.fact.com.mx/schema/ws")
         SecureTransactionResult STRING ATTRIBUTE(XMLName="SecureTransactionResult",XMLOptional)
       END RECORD



END GLOBALS
